%{?!python:%define python python}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedRunner

Name:           %{python}-twisted-runner
Version:        0.2.0
Release:        6%{?dist}
Summary:        Twisted Runner process management library and inetd replacement

Group:          Development/Libraries
License:        MIT
URL:            http://www.twistedmatrix.com
Source0:        http://tmrc.mit.edu/mirror/twisted/Runner/0.2/TwistedRunner-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  %{python}-twisted-core >= 2.4.0

Requires:       %{python}-twisted-core

%description
Twisted is an event-based framework for internet applications.

Twisted Runner contains code useful for persistent process management
with Python and Twisted, and has an almost full replacement for inetd.

%prep
%setup -n %{origname}-%{version} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{python_sitearch}/twisted/runner/portmap.c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS

%{python_sitearch}/twisted/runner/

%if 0%{?fedora} >= 9
  %{python_sitearch}/Twisted_Runner-%{version}-py2.5.egg-info
%endif

%changelog
* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 0.2.0-6
- Fix the egg issue, drop the pyver stuff.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.0-5
- Autorebuild for GCC 4.3

* Wed Dec 27 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- add LICENSE and NEWS

* Wed Nov 01 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.0-3
- remove .c file

* Tue Sep 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.0-2
- no longer ghost .pyo files

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.0-1
- new release
- remove noarch

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

